# Uses of Class
org.eclipse.ltk.core.refactoring.RefactoringTickProvider

Packages that use RefactoringTickProvider
Package
Description
org.eclipse.ltk.core.refactoring
Application programmer interface to implement semantic preserving workspace transformations.

## Uses of RefactoringTickProvider in org.eclipse.ltk.core.refactoring

Fields in org.eclipse.ltk.core.refactoring declared as RefactoringTickProvider
Modifier and Type
Field
Description
`static final RefactoringTickProvider`
RefactoringTickProvider.`DEFAULT`
The default refactoring tick provider
Methods in org.eclipse.ltk.core.refactoring that return RefactoringTickProvider
Modifier and Type
Method
Description
`protected RefactoringTickProvider`
Refactoring.`doGetRefactoringTickProvider()`
Hook method to provide the tick provider used for progress reporting.
`final RefactoringTickProvider`
Refactoring.`getRefactoringTickProvider()`
Returns the tick provider used for progress reporting for this refactoring.